> ## Documentation Index
> Fetch the complete documentation index at: https://docs.processzen.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow Runs

> Retrieves workflow runs for the authenticated organization



## OpenAPI

````yaml GET /get-workflow-runs
openapi: 3.0.1
info:
  title: ProcessZen API
  description: API for managing workflow runs and templates in ProcessZen
  version: 1.0.0
servers:
  - url: http://processzen.io/api
security:
  - unkeyAuth: []
paths:
  /get-workflow-runs:
    get:
      summary: Get workflow runs
      description: Retrieves workflow runs for the authenticated organization
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProcessedWorkflowRun'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ProcessedWorkflowRun:
      type: object
      properties:
        id:
          type: string
        lastActivity:
          type: string
          format: date-time
        workflowName:
          type: string
        currentStepAssignee:
          type: string
        currentStepDueDate:
          type: string
          format: date-time
          nullable: true
        currentStepName:
          type: string
        status:
          type: string
    Error:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    unkeyAuth:
      type: apiKey
      in: header
      name: Authorization

````